%define upstream_name Future
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Represent an operation awaiting completion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.250.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Refcount)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
A `Future' object represents an operation that is currently in progress,
or has recently completed. It can be used in a variety of ways to manage
the flow of control, and data, through an asynchronous program.

Some futures represent a single operation and are explicitly marked as
ready by calling the `done' or `fail' methods. These are called "leaf"
futures here, and are returned by the `new' constructor.

Other futures represent a collection sub-tasks, and are implicitly
marked as ready depending on the readiness of their component futures as
required. These are called "dependent" futures here, and are returned by
the various `wait_*' and `need_*' constructors.

It is intended that library functions that perform asynchonous
operations would use `Future' objects to represent outstanding
operations, and allow their calling programs to control or wait for
these operations to complete. The implementation and the user of such an
interface would typically make use of different methods on the class.
The methods below are documented in two sections; those of interest to
each side of the interface.

See also Future::Utils which contains useful loop-constructing
functions, to run a `Future'-returning function repeatedly in a loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.330.0-4pclos2017
- rebuild against updates

